window.strike = {
    //攻击力
    ATK : -10,

    //当前这一拳的数据
    playerATKData : {},

    strikeAll : [],
    strikeOK : [],

    //如果出拳了 我就添加
    addStrikeAll(data){
       this.strikeAll.push(data)
    },
    //打中的拳
    addStrikeOK(data){
       this.strikeOK.push(data)
    },
}

//对手的组件
window.rival = {

}
window.player = {

}

//血量管理器
window.lifes = []


window.gameManager = {
    gameTag : false,
    gameover : null,
    gameOver(num){
        if ( !this.gameTag) {
            this.gameTag = true
            Log.info("现在谁赢了",num)
            rival.stopAuto();
            gameManager.gameover.setAct(true)
        }else{

        }

    },
    //获取当前游戏状态
    getGameType(){
      //  false 正在游戏 true 游戏结束
      return this.gameTag;
    },
    restart(){
        lifes[0].initLife()
        lifes[1].initLife()
        player._init()
        rival._init()
        this.gameTag = false
        gameManager.gameover.setAct(false)
    }



}


window.game = {

}


